This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1289671 - Calamari installer does not recognize a valid email address
Calamari installer does not recognize a valid email address
Status: NEW
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Calamari (Show other bugs)
1.3.1
Unspecified Linux
unspecified Severity medium
: rc
: 1.3.4
Assigned To: Gregory Meno
ceph-qe-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-08 12:00 EST by bandrus
Modified: 2017-09-29 12:54 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bandrus 2015-12-08 12:00:40 EST
Description of problem:
Calamari does not accept an email address that is perfectly valid.

Version-Release number of selected component (if applicable):
1.3

How reproducible:
Easily

Steps to Reproduce:
1. Upon user creation, enter an email address in the form of no.dots@no-dashes.com

Actual results:
Calamari provides the error: Error: "Enter a valid email address."


Expected results:
Calamari should accept an email with dots and dashes

Additional info:
I suspect this is due to the regex that validates email addresses. It should be updated to one that is properly formatted to accept valid email addresses.
Comment 2 Tanay Ganguly 2015-12-16 02:36:09 EST
I am able to create a user having email address having . (dots) - (Dash) _ (Underscore). This is 1.3.1 Rhel 7.2 setup.


calamari-ctl add_user tanay --password abc --email t.g@m.com
calamari-ctl add_user tanay1 --password abcx --email t.g_a-b@m.com

Am i missing something.

Is this happening specific to 1.3.0 ?
Comment 3 bandrus 2015-12-17 12:59:29 EST
I believe we were using 1.3.1, (updated).

The dash is after the @, as described. I am using the web interface, not the CLI.

Note You need to log in before you can comment on or make changes to this bug.